Package ghidra.features.bsim.query.protocol

# Class QueryOptionalValues

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseOptionalValues>
ghidra.features.bsim.query.protocol.QueryOptionalValues

public class QueryOptionalValues extends BSimQuery<ResponseOptionalValues>
Query for values from an optional table, given a set of keys

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Object[]`
  `keys`
  `int`
  `keyType`
  `ResponseOptionalValues`
  `optionalresponse`
  `String`
  `tableName`
  `int`
  `valueType`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryOptionalValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### optionalresponse

    public ResponseOptionalValues optionalresponse

  - ### keys

    public Object[] keys

  - ### tableName

    public String tableName

  - ### keyType

    public int keyType

  - ### valueType

    public int valueType

- ## Constructor Details

  - ### QueryOptionalValues

    public QueryOptionalValues()

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseOptionalValues>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseOptionalValues>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseOptionalValues>`
    Throws:
      `LSHException`